function [f,LAST] = sigma_eps_concrete_par_rett (eps,CLS)


%INPUT -
%OUTPUT -


fco=CLS.fco;
fct=CLS.fct;
epsct=CLS.epsct;

if eps<=epsct
    f=0;
    Etg=0;
elseif eps<0
    f=fct/epsct*eps;
    Etg=fct/epsct;
else
    
    if eps<0.002
        f=1000*fco*eps*(-250*eps+1);
        Etg=1000*fco*(-500*eps+1);
    else
        f=fco;
        Etg=0;
    end
    
end

LAST(2)=eps;
LAST(3)=f;
LAST(4)=Etg;