function [f,LAST] = sigma_eps_steel_perfectly_plastic (eps,STEEL)


%INPUT -
%OUTPUT -


Es=STEEL.Es;
epsy=STEEL.epsy;
fy=STEEL.fy;


eps_sign=eps;
eps=abs(eps);

if eps<=epsy
    f=Es*eps;
else
    f=fy;
end

if eps<=epsy
    Etg=Es;
else
    Etg=0;
end

eps=eps_sign;
if eps_sign~=0
    f=f*eps_sign/abs(eps_sign);
end



if eps>0
    LAST(1)=1;
elseif eps==0
    LAST(1)=0;
elseif eps<0
    LAST(1)=2;
end
LAST(2)=eps;
LAST(3)=f;
LAST(4)=Etg;